# root

root() → node()

Returns the root node (typically but not necessarily a document node) of the tree containing the context node

There are no arguments
Result | node()

root($arg as node()?) → node()?

Returns the root node (typically but not necessarily a document node) of the tree containing the supplied node

Arguments
| $arg | node()? | A node in the tree whose root is required
Result | node()?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next